package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.BaseExample;
import com.lightinit.hsdataportal.entity.Securekey;

import java.util.List;

public interface SecurekeyMapper {
    int deleteByPrimaryKey(Long securekeyid);

    int insert(Securekey record);

    int insertSelective(Securekey record);

    Securekey selectByPrimaryKey(Long securekeyid);

    int updateByPrimaryKeySelective(Securekey record);

    int updateByPrimaryKey(Securekey record);

    List<Securekey> selectByExample(BaseExample example);

    long countByExample(BaseExample example);
}